Bug 199747 - Review Request: pingus - Guide the penguins safely home before they drop of the cliff
Review Request: pingus - Guide the penguins safely home before they drop of t...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Package Reviews List
:
Depends On: 199630
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-07-21 14:22 EDT by Hans de Goede
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-25 07:32:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2006-07-21 14:22:10 EDT
Spec URL: http://people.atrpms.net/~hdegoede/pingus.spec
SRPM URL: http://people.atrpms.net/~hdegoede/pingus-0.7.0-0.1.20060721.src.rpm
Description:
A game inspired by the game Lemmings. You take command in the game of a bunch
of small penguins and have to guide them around in levels. Since the penguins
walk on their own, the player can only influence them by giving them commands,
like build a bridge, dig a hole or redirect all penguins in the other
direction. The goal of each level is to reach the exit, for which multiple
combination of commands are necessary. The game is presented in a 2D site view.


---

Note this packages needs ClanLib, review bug 199630
Comment 1 Paul F. Johnson 2006-07-21 15:40:01 EDT
Okay, from a very quick glance over...

needs BR get-text

I'll check it over more closely tonight
Comment 2 Hans de Goede 2006-07-21 16:35:32 EDT
Darn, I spend hours getting the gettext support to work and still forgot to add
the BR. I will add that together with any other nescesarry changes once a full
review is done, or if some other changes come up before that.
Comment 3 Paul F. Johnson 2006-07-23 06:33:33 EDT
Once I add the BR for get-text, everything is happy under mock and rpmlint comes
up clean.

The icon installs correctly under games.

One concern is that the website only has version 0.6.0 as the stable release and
not 0.7.0 as available here. I couldn't find it in the development area either.

If you can make the BR and version number changes, this is good to go.
Comment 4 Hans de Goede 2006-07-23 06:40:07 EDT
If you look at the first screen when you start pingus it will welcome you to
pingus 0.7.0 . As you can see in the spec this is a svn snapshot, which is also
reflected in the release: 0.1.20060721 . The current svn trunk is destined to 
become 0.7.0 some day (hopefully soon), so calling it 0.6.x is wrong, since it
is not 0.6.x.
Comment 5 Paul F. Johnson 2006-07-23 06:52:36 EDT
Not a problem, it's just the BR and out the door it can go!
Comment 6 Hans de Goede 2006-07-23 13:46:38 EDT
New spec with fixed BR here:
Spec URL: http://people.atrpms.net/~hdegoede/pingus.spec

Notice I didn't upload a new SRPM as its huge and my uplink is quite slow.
Comment 7 Paul F. Johnson 2006-07-24 05:04:42 EDT
I could get the original spec file version to compile happily under mock, but
the current one gives me an error that clanlib-devel cannot be found. Is this an
SELinux related problem?
Comment 8 Hans de Goede 2006-07-24 09:55:40 EDT
?? Are you sure, ClanLib has recently been build and hasn't hit the repo yet
(atleast not my mirror) also clanlib is only available in the development repo
(waiting for CVS branching). So I don't find it strange it doesn't build in
mock, I do find it strange it once did build :)

Comment 9 Paul F. Johnson 2006-07-24 10:11:32 EDT
I have a local repo for this sort of thing which is why it built originally.
Comment 10 Hans de Goede 2006-07-24 10:42:41 EDT
Is ClanLib still in this repo?
Comment 11 Paul F. Johnson 2006-07-24 10:54:40 EDT
From memory, yes. I'll need to check though (it was last time I looked)
Comment 12 Paul F. Johnson 2006-07-24 17:43:12 EDT
D'oh, the cache was chomped. I'm happy for this to be released now.

APPROVED
Comment 13 Hans de Goede 2006-07-25 07:32:28 EDT
Thanks! Imported and Build, closing.

p.s.

For the next review, when you approve a package you should change the blocker
bug from FE-REVIEW to FE-ACCEPT . I've done that for the 2 ClanLib's and I'll do
it for this one.

Note You need to log in before you can comment on or make changes to this bug.